package es.uca.xmleye.events;

/*
 Copyright (C) 2008 Antonio García Domínguez

 This program is free software; you can redistribute it 
 and/or modify it under the terms of the GNU General Public 
 License as published by the Free Software Foundation; 
 either version 2 of the License, or (at your option) any 
 later version.

 This program is distributed in the hope that it will be 
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE. See the GNU General Public License for more 
 details.

 You should have received a copy of the GNU General Public 
 License along with this program; if not, write to the Free 
 Software Foundation, Inc., 59 Temple Place, Suite 330, 
 Boston, MA 02111-1307 USA
 */

import java.io.File;

import es.uca.xmleye.util.FileChangePublisher;

public class FileChangeEvent {
	private final File fichCambiado;
	private final FileChangePublisher fuente;
	private final long fechaCambio;

	public FileChangeEvent(File fichCambiado,
			FileChangePublisher fuente, long fechaCambio) {
		this.fichCambiado = fichCambiado;
		this.fuente = fuente;
		this.fechaCambio = fechaCambio;
	}

	public File getFicheroCambiado() {
		return fichCambiado;
	}

	public FileChangePublisher getFuenteEvento() {
		return fuente;
	}

	public long getFechaCambio() {
		return fechaCambio;
	}
}
