package es.uca.xmleye.xpath;

/*
 Copyright (C) 2005-2008 Antonio García Domínguez

 This program is free software; you can redistribute it 
 and/or modify it under the terms of the GNU General Public 
 License as published by the Free Software Foundation; 
 either version 2 of the License, or (at your option) any 
 later version.

 This program is distributed in the hope that it will be 
 useful, but WITHOUT ANY WARRANTY; without even the implied 
 warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
 PURPOSE. See the GNU General Public License for more 
 details.

 You should have received a copy of the GNU General Public 
 License along with this program; if not, write to the Free 
 Software Foundation, Inc., 59 Temple Place, Suite 330, 
 Boston, MA 02111-1307 USA
 */

import javax.xml.namespace.*;
import javax.xml.xpath.*;

/**
 * XPathFunctionResolver que da acceso a las extensiones de este paquete.
 */
public class CustomXPathFunctionResolver implements XPathFunctionResolver {
	/** Prefijo usado por nuestras extensiones XPath. */
	public final static String ESPACIONOMBRES_XPATH = "xmlextend";

	public XPathFunction resolveFunction(QName functionName, int arity) {
		if (functionName == null)
			throw new NullPointerException();

		final String namespace = functionName.getNamespaceURI();
		final String nombreLocal = functionName.getLocalPart();
		final String fqn = namespace + ":" + nombreLocal;

		if (fqn.equals(ToLowerXPathFunction.getFQN())
				&& arity == ToLowerXPathFunction.ARIDAD) {
			return new ToLowerXPathFunction();
		} else if (fqn.equals(WholeWordMatchXPathFunction.getFQN())
				&& arity == WholeWordMatchXPathFunction.ARIDAD) {
			return new WholeWordMatchXPathFunction();
		} else {
			return null;
		}
	}

}
